from mazo.extensions.lp_cli import ExtensionFormatdata
from mazo.extensions.mazo import ExtensionFormatmetadata

class ExtensionFormatdata(ExtensionFormatdata):

    def target_bugs_yaml(self):
        print self.toyaml([e.title for e in self.result])

class ExtensionFormatmetadata(ExtensionFormatmetadata):

    def target_mybuglist(self):
        # get tempalte object
        tpl = self.templates('index')
        # get high priority bugs
        high_bugs = self.metadatas('high')
        # get medium priority bugs
        medium_bugs = self.metadatas('medium')

        # generate html code of high priority bugs
        high_bugs_html = ''
        for bug in high_bugs:
            high_bugs_html += '<li>{0}</li>\n'.format(bug)

        # generate html code of medium priority bugs
        medium_bugs_html = ''
        for bug in medium_bugs:
            medium_bugs_html += '<li>{0}</li>\n'.format(bug)

        print tpl.substitute(title=self.title,
                             high_bugs_html=high_bugs_html,
                             medium_bugs_html=medium_bugs_html)
