#!/usr/bin/env python
# -*- encoding=utf8 -*-
#
# Author 2012 Hsin-Yi Chen
import os
import unittest

from mazo import missionlib

## \brief  MissionMessage Test UnitTest
class MissionMessageTestCase(unittest.TestCase):

    def setUp(self):
        def _testcb(a):
            return a
        self.msg = missionlib.MissionMessage(_testcb, None)

    ## \brief testing dump and load mission message
    def test_dumpandload(self):
        dumped = self.msg.dump()
        newmsg= missionlib.MissionMessage.loads(dumped)
        self.assertEquals( newmsg.maintask_callback(1),1)

def suite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(MissionMessageTestCase, 'test'))
    return suite

if __name__ == '__main__':
    unittest.main(defaultTest='suite')
